# ImageUtil
Keywords: waveletCompression.ImageUtil class

## waveletCompression
Class ImageUtil

    java.lang.Object
      waveletCompression.ImageUtil

    public class ImageUtil

extends java.lang.Object

Initialisierungs- und Hilfsfunktionen für das Arbeiten mit Bildern.

Author:
  Bettina Selig, Tilman Walther

Constructor Summary
`ImageUtil()`

Method Summary
`int[][][]` `getArray(javax.swing.ImageIcon imageIcon)` Wandelt ein ImageIcon in ein int-Array um, mit dem die Kompression durchgeführt werden kann.
`int` `getCompressedFileSize(double[][][] compressedData)` Bestimmt Größe des komprimierten Bildes, d.h. zählt sämtliche Bildelemente mit Wert ungleich Null.
`javax.swing.ImageIcon` `getImage(int[][][] imageArray)` Wandelt ein int-Array mit Bildelementen in ein ImageIcon-Objekt um, das zur Anzeige des Bildes verwendet werden kann.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageUtil

    public ImageUtil()

Method Detail

### getArray

    public int[][][] getArray(javax.swing.ImageIcon imageIcon)

  Wandelt ein ImageIcon in ein int-Array um, mit dem die Kompression durchgeführt werden kann.

  Parameters:
    `imageIcon` - ein ImageIcon
  Returns:
    ein dreidimensionales int-Array mit dem Schema [Farbkanal][Row][Column]

### getImage

    public javax.swing.ImageIcon getImage(int[][][] imageArray)

  Wandelt ein int-Array mit Bildelementen in ein ImageIcon-Objekt um, das zur Anzeige des Bildes verwendet werden kann.

  Parameters:
    `imageArray` - ein Bild in Form eines int-Arrays
  Returns:
    das Bild als ImageIcon

### getCompressedFileSize

    public int getCompressedFileSize(double[][][] compressedData)

  Bestimmt Größe des komprimierten Bildes, d.h. zählt sämtliche Bildelemente mit Wert ungleich Null.

  Parameters:
    `compressedData` - das komprimierte Bild
  Returns:
    die Größe des komprimierten Bildes